org.apache.poi.hslf.record

## Class CString

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.CString

- All Implemented Interfaces:
    GenericRecord

      public final class CString
      extends RecordAtom

  A CString (type 4026). Holds a unicode string, and the first two bytes of the record header normally encode the count. Typically attached to some complex sequence of records, eg Commetns.
  Author:
    Nick Burch

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CString()` Create an empty CString
    `protected` | `CString(byte[] source, int start, int len)` For the CStrubg Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getOptions()` Grabs the count, from the first two bytes of the header.
    `long` | `getRecordType()` We are of type 4026
    `java.lang.String` | `getText()` Grabs the text.
    `void` | `setOptions(int count)` Sets the count The meaning of the count is specific to the type of the parent record
    `void` | `setText(java.lang.String text)` Updates the text in the Atom.
    `java.lang.String` | `toString()` Gets a string representation of this object, primarily for debugging.
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CString

          protected CString(byte[] source,
                            int start,
                            int len)

      For the CStrubg Atom

    - #### CString

          public CString()

      Create an empty CString

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Grabs the text. Never `null`

    - #### setText

          public void setText(java.lang.String text)

      Updates the text in the Atom.

    - #### getOptions

          public int getOptions()

      Grabs the count, from the first two bytes of the header. The meaning of the count is specific to the type of the parent record

    - #### setOptions

          public void setOptions(int count)

      Sets the count The meaning of the count is specific to the type of the parent record

    - #### getRecordType

          public long getRecordType()

      We are of type 4026
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Gets a string representation of this object, primarily for debugging.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object.

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.